#ifndef _MC_UTIL_
#define _MC_UTIL_

#include <string>

using namespace std;

namespace util {

  enum PDataType {pdBegin, pdEnd, pdContinue, pdBeginStruct, pdEndStruct, pdBeginArray, pdEndArray};

  class pstring : public string{
  public :
    // Load parameter data
    void load(const string& dataFile);
    // Save paramater data
    void save(const string& dataFile);
    // Get parameter data
    pstring getData(const string& parameter);
    // Get parameter data (from array)
    pstring getData(const string& parameter, const int& i);
    // Get size of array data
    int getSize(const string& parameter);
    // Put parameter data (to item or struct)
    void putData(const string& paramater, const pstring& value, const PDataType type=pdContinue);
    // Put parameter data (to array)
    void putData(const pstring& value, const PDataType type=pdContinue);
  };
}

#endif
